Page MenuHomePhabricator

Unrecognized option 'max_muxing_queue_size'
Closed, ResolvedPublic

Description

When I run

php maintenance/runJobs.php --type webVideoTranscode

the outout say Unrecognized option 'max_muxing_queue_size'. 3a319b0ed864 introduced this option, but my server using ffmpeg 2.8.15.

I think we should ensure backward compatibility and selectively add max_muxing_queue_size option.

Complete output:

[razesoldier@wiki w]$ php maintenance/runJobs.php --type webVideoTranscode  
2019-02-17 07:10:53 webVideoTranscode File:How_a_Makarov_pistol_works.mp4 transcodeMode=derivative transcodeKey=1080p.webm prioritized= requestId=48219542f36290cb728ad6a6 (id=15439,timestamp=20190217071044) STARTING
2019-02-17 07:10:55 webVideoTranscode File:How_a_Makarov_pistol_works.mp4 transcodeMode=derivative transcodeKey=1080p.webm prioritized= requestId=48219542f36290cb728ad6a6 (id=15439,timestamp=20190217071044) t=1950 error='/usr/bin/ffmpeg' -y -i '/srv/gunwiki/w/images/c/cf/How_a_Makarov_pistol_works.mp4' -threads 1 -pix_fmt yuv420p -crf '10' -qmin '1' -qmax '51' -vb '4096000' -vcodec libvpx -slices '4' -g '240' -speed 4 -f webm -s 1920x1080 -max_muxing_queue_size 1024 -an -pass '1' -passlogfile '/tmp/transcode_1080p.webmea8103dd94ce.webm.log' /dev/null

Exitcode: 1
Memory: 2097152

ffmpeg version 2.8.15 Copyright (c) 2000-2018 the FFmpeg developers
  built with gcc 4.8.5 (GCC) 20150623 (Red Hat 4.8.5-28)
  configuration: --prefix=/usr --bindir=/usr/bin --datadir=/usr/share/ffmpeg --incdir=/usr/include/ffmpeg --libdir=/usr/lib64 --mandir=/usr/share/man --arch=x86_64 --optflags='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic' --extra-ldflags='-Wl,-z,relro ' --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libvo-amrwbenc --enable-version3 --enable-bzlib --disable-crystalhd --enable-gnutls --enable-ladspa --enable-libass --enable-libcdio --enable-libdc1394 --disable-indev=jack --enable-libfreetype --enable-libgsm --enable-libmp3lame --enable-openal --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-libschroedinger --enable-libsoxr --enable-libspeex --enable-libtheora --enable-libvorbis --enable-libv4l2 --enable-libx264 --enable-libx265 --enable-libxvid --enable-x11grab --enable-avfilter --enable-avresample --enable-postproc --enable-pthreads --disable-static --enable-shared --enable-gpl --disable-debug --disable-stripping --shlibdir=/usr/lib64 --enable-runtime-cpudetect
  libavutil      54. 31.100 / 54. 31.100
  libavcodec     56. 60.100 / 56. 60.100
  libavformat    56. 40.101 / 56. 40.101
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 40.101 /  5. 40.101
  libavresample   2.  1.  0 /  2.  1.  0
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.101 /  1.  2.101
  libpostproc    53.  3.100 / 53.  3.100
Unrecognized option 'max_muxing_queue_size'.
Error splitting the argument list: Option not found

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2019, 7:23 AM
TheDJ moved this task from To sort to Transcoding on the TimedMediaHandler board.May 8 2019, 11:23 AM
RazeSoldier updated the task description. (Show Details)Jul 2 2019, 9:29 AM

Change 520206 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/extensions/TimedMediaHandler@master] Add a new config variable "$wgUseFFmpeg2" to control command line options

https://gerrit.wikimedia.org/r/520206

brion added a subscriber: brion.Tue, Nov 26, 11:51 PM

I'm a bit reluctant to add explicit support for obsolete versions of ffmpeg, since it'll never get tested and other things that break it are likely to be added. Is there a reason you're running an out of date ffmpeg?

No special reason. Just because Centos system provides old ffmpeg by default.

brion added a comment.Wed, Nov 27, 2:08 AM

Ah, OSs shipping old stuff is always fun. :D No real danger to it, and it's clear enough in the code if we refactor and clean it out later. :)

Will go ahead and merge.

Change 520206 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Add a new config variable "$wgUseFFmpeg2" to control command line options

https://gerrit.wikimedia.org/r/520206

Ah, OSs shipping old stuff is always fun. :D No real danger to it, and it's clear enough in the code if we refactor and clean it out later. :)

What should be cleaned up?

brion closed this task as Resolved.Wed, Nov 27, 8:04 PM

What should be cleaned up?

Just thinking if we ever drop older support in the future, it'll easy to see what parts to take out because they're wrapped in that conditional variable check. There's no hurry to remove it for now, though.

Patch is merged on TimedMediaHandler master, so looks like we're good to go. Marking task as resolved. :)